Swap (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class Swap

    java.lang.Object
      org.hyperic.sigar.Swap

All Implemented Interfaces:
  java.io.Serializable

    public class Swap

extends java.lang.Object
implements java.io.Serializable

Swap sigar class.

See Also:
  Serialized Form

Constructor Summary
`Swap()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getFree()` Get the Total free system swap.
`long` | `getPageIn()` Get the Pages in.
`long` | `getPageOut()` Get the Pages out.
`long` | `getTotal()` Get the Total system swap.
`long` | `getUsed()` Get the Total used system swap.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Swap

    public Swap()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getTotal

    public long getTotal()

  Get the Total system swap.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `lsps -s`
  - Darwin: `sysctl vm.swapusage`
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: `swap -s`
  - Win32: ``

  Returns:
    Total system swap

### getUsed

    public long getUsed()

  Get the Total used system swap.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `lsps -s`
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: `swap -s`
  - Win32: ``

  Returns:
    Total used system swap

### getFree

    public long getFree()

  Get the Total free system swap.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: `swap -s`
  - Win32: ``

  Returns:
    Total free system swap

### getPageIn

    public long getPageIn()

  Get the Pages in.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `vmstat`
  - Solaris: `vmstat`
  - Win32: ``

  Returns:
    Pages in

### getPageOut

    public long getPageOut()

  Get the Pages out.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `vmstat`
  - Solaris: `vmstat`
  - Win32: ``

  Returns:
    Pages out

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toMap

    public java.util.Map toMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.